Firmware upgrade fails with 'incompatible platform flash capacity' error

Technote (troubleshooting)


Problem(Abstract)

Upgrading the firmware of your WebSphere DataPower SOA Appliance fails with the following error message:

Unable to upgrade: incompatible platform flash capacity
The dynamic loader failed to upgrade the system (-4)
Loading firmware failed: (null)
Could not install firmware image.
The system will not reboot.

Cause

The root cause for this problem is the firmware image you tried to install. This error displays when trying to install an image that is not compatible with the appliance model. For example, when trying to install a Database Connectivity Option (DCO) firmware image for Blade appliances on a standard 9235 device, this error will occur.

Resolving the problem

You can differentiate the DCO firmware images and the standard images by the naming pattern. Review Part 4 of the IBM Knowledge Collection: Firmware upgrades for the IBM WebSphere DataPower SOA Appliances in the section that helps you identify the firmware image file that matches your appliance to make sure that the correct image is installed.

Rate this page:

(0 users)Average rating

Document information


More support for:

IBM DataPower Gateways
General

Software version:

4.0, 4.0.1, 4.0.2, 5.0.0, 6.0.0

Operating system(s):

Firmware

Reference #:

1506678

Modified date:

2011-08-22

Translate my page

Machine Translation

Content navigation